Skip to navigation

Get a Molecule

Get a Molecule

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

molecule_idstringRequired

Response

OK
aliaseslist of stringsOptional
Array of aliases.
apiURLstringOptionalRead-onlyformat: "uri"
The canonical url of the Molecule in the API.
archiveRecordobject or nullOptional
authorslist of objectsOptional
canonicalizedSmilesstringOptional
The canonicalized chemical structure in SMILES format.
createdAtdatetimeOptionalRead-only
DateTime the Molecule was created.
creatorobjectOptional
customFieldsmap from strings to objectsOptional
Custom fields set on the Molecule.
entityRegistryIdstring or nullOptional
Registry ID of the Molecule if registered.
fieldsmap from strings to objectsOptional
folderIdstring or nullOptional
ID of the folder that contains the Molecule.
idstringOptional
ID of the Molecule.
modifiedAtdatetimeOptionalRead-only
DateTime the Molecule was last modified.
namestringOptional
Name of the Molecule.
originalSmilesstring or nullOptional
The original chemical structure supplied by the user in SMILES format. Null if the user did not originally supply SMILES.
registrationOriginobject or nullOptional
registryIdstring or nullOptional
Registry the Molecule is registered in.
schemaobject or nullOptional
webURLstringOptionalRead-onlyformat: "uri"
URL of the Molecule.

Errors

400
Bad Request Error